Bug Hunting Session
Bug 31817 - Two separate commands both named "Delete Contents"
Summary: Two separate commands both named "Delete Contents"
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
3.3.0 Beta3
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.3
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-21 08:18 UTC by Ed
Modified: 2011-01-13 03:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed 2010-11-21 08:18:44 UTC
No matter what the user sets these keys to do under Tools>Customize, pressing the delete or backspace keys always deletes the cell contents.
Comment 1 Kohei Yoshida 2010-11-21 12:56:18 UTC
This probably has to do with the fact that both commands are referred to as 'Delete Contents', the same command name, which is causing confusion.  But one 'Delete Contents' is in fact different from the other.

The right fix is to use different command names for these.
Comment 2 Kohei Yoshida 2010-11-21 12:59:14 UTC
This is a translation issue, so let's get this taken care of for 3.3.
Comment 3 Ed 2010-11-21 13:49:02 UTC
I just tested this again with a new profile, and the issue I described doesn't seem to be happening any more.  This could have been a one-off profile problem.

The confusion of both commands being called "Delete Contents" is still true, but that is a separate issue.

@ Kohei Yoshida:
As you seem to have already started work on the command name confusion issue under this issue number, do you want to change the description to "Two separate commands both named 'Delete Contents'"?  Otherwise this issue should be closed as resolved and a new issue raised for the command names issue.
Comment 4 Kohei Yoshida 2010-11-21 14:05:23 UTC
Yeah, let's change the title description.  I'll keep this bug report for the renaming of the command name.
Comment 5 Kohei Yoshida 2010-11-29 13:50:22 UTC
Some implementation note: 

* The command bound to the Delete is .uno:ClearContents, while the command bound to the Backspace is .uno:Delete.

* CalcCommands.xcu contains the English translation for .uno:ClearContents, while GenericCommands.xcu contains the one for .uno:Delete.
Comment 6 Kohei Yoshida 2010-11-29 13:56:55 UTC
The command that does NOT launch the dialog is now called "Clear Contents", while the command that DOES launch it remains "Delete Contents".  Hopefully this will avoid confusion.
Comment 7 Kohei Yoshida 2010-11-29 13:57:08 UTC
Fixed on libreoffice-3-3.
Comment 8 Ed 2010-12-06 11:17:22 UTC
I just downloaded 3.3RC1 and this has only been changed for English (USA), the commands are still both called "Delete Contents" in English (UK) and English (South Africa).
Comment 9 Kohei Yoshida 2010-12-06 11:22:52 UTC
Then this is a localization issue.
Comment 10 Andras Timar 2010-12-06 12:23:18 UTC
(In reply to comment #9)
> Then this is a localization issue.

Yes it is. But localizers were not notified about this string change. They all think that strings are frozen. I'll update the templates ASAP and inform the l10n list.
Comment 11 Kohei Yoshida 2010-12-06 12:32:45 UTC
Thanks, Andras.
Comment 12 Kohei Yoshida 2010-12-06 13:23:04 UTC
Ok.  I've made changes to at least en-GB and en-ZA locale files in the l10n repo.
Comment 13 Kohei Yoshida 2010-12-08 06:25:43 UTC
I'll call this fixed, since at least en-GB case (the reported locale) is fixed.
Comment 14 sophie 2011-01-13 03:38:30 UTC
Verified - Closed - Sophie